import { Component, PropTypes, Children } from 'react';
import pathType from '../utils/pathType';

export default class SubProvider extends Component {

  constructor(props, context) {
    super(props, context);
    this.path = props.path;
  }

  getChildContext() {
    return { path: this.path };
  }

  render() {
    return Children.only(this.props.children);
  }

}

SubProvider.propTypes = {
  path: pathType,
  children: PropTypes.element.isRequired,
};

SubProvider.childContextTypes = {
  path: pathType,
};
